oracle.pgx.config

## Class GraphErrorHandlingConfig

- java.lang.Object
- - oracle.pgx.config.AbstractConfig
  - - oracle.pgx.config.GraphErrorHandlingConfig

-     @Generated(value="config_generator.py")
      public class GraphErrorHandlingConfig
      extends AbstractConfig

  PGX Engine Graph Error Handling Config

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GraphErrorHandlingConfig.Field` Fields of PGX Engine Graph Error Handling Config

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Charset` | `getCharset()` Gets the charset.
    `OnMismatch` | `getOnMissedPropKey()` what to do when missing property key is encountered
    `OnMismatch` | `getOnPropConversion()` what to do when different property type is encountered than specified, but coercion is possible
    `OnMismatch` | `getOnTypeMismatch()` what to do when different property type is encountered than specified, but coercion is not possible
    `Map<GraphErrorHandlingConfig.Field,Object>` | `getValues()` Gets the parsed values.
    `Map<GraphErrorHandlingConfig.Field,Object>` | `getValuesWithoutDefaults()` Gets the values without defaults.
    `boolean` | `hasDefaultValue(GraphErrorHandlingConfig.Field field)` Checks for default value.
    `static GraphErrorHandlingConfig` | `parse(InputStream is, boolean strict, File parent)` Parses an input stream.
    `static GraphErrorHandlingConfig` | `parse(Map<String,Object> raw, boolean strict, File parent)` Parses a raw key/value mapping.
    `static GraphErrorHandlingConfig` | `parse(Properties props, boolean strict)` Parses a properties file.
    `String` | `toString()`

    - ### Methods inherited from class oracle.pgx.config.AbstractConfig

      `setSerializable`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getCharset

          public Charset getCharset()

      Gets the charset.
      Returns:
        the charset

    - #### getOnMissedPropKey

          public OnMismatch getOnMissedPropKey()

      what to do when missing property key is encountered

    - #### getOnPropConversion

          public OnMismatch getOnPropConversion()

      what to do when different property type is encountered than specified, but coercion is possible

    - #### getOnTypeMismatch

          public OnMismatch getOnTypeMismatch()

      what to do when different property type is encountered than specified, but coercion is not possible

    - #### getValues

          public Map<GraphErrorHandlingConfig.Field,Object> getValues()

      Gets the parsed values.
      Returns:
        the parsed values

    - #### getValuesWithoutDefaults

          public Map<GraphErrorHandlingConfig.Field,Object> getValuesWithoutDefaults()

      Gets the values without defaults.
      Returns:
        the values without defaults

    - #### hasDefaultValue

          public boolean hasDefaultValue(GraphErrorHandlingConfig.Field field)

      Checks for default value.
      Parameters:
        `field` - the field
      Returns:
        true, if value for given field is the default value

    - #### parse

          public static GraphErrorHandlingConfig parse(InputStream is,
                                       boolean strict,
                                       File parent)
                                                throws IOException

      Parses an input stream.
      Parameters:
        `is` - the input stream
        `strict` - if true, parses in strict mode
        `parent` - if not null, resolves relative paths against this parent
      Returns:
        the parsed graph config
      Throws:
        `IOException` - Signals that an I/O exception has occurred.

    - #### parse

          public static GraphErrorHandlingConfig parse(Map<String,Object> raw,
                                       boolean strict,
                                       File parent)

      Parses a raw key/value mapping.
      Parameters:
        `raw` - the raw key/value mapping to parse
        `strict` - if true, parses in strict mode
        `parent` - if not null, resolves relative paths against this parent
      Returns:
        the parsed graph config

    - #### parse

          public static GraphErrorHandlingConfig parse(Properties props,
                                       boolean strict)

      Parses a properties file.
      Parameters:
        `props` - the properties to parse
        `strict` - if true, parses in strict mode
      Returns:
        the parsed graph config

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015. All rights reserved.